<?
require_once'home.php';
echo $fs1;
$q1 = @mysql_query( @"select  *  from  `forum_topic` where `id`='".$id."' ;" );
$topic = @mysql_fetch_array(@$q1);
if (mysql_affected_rows() == 0){
echo $fs1;
echo '<b>Такой темы не существует!</b>';
echo $fs2;
foot();
exit;
}
$t_name = $topic ['name'];
$f = $topic ['section'];
$sf = $topic ['subfor'];

$que = @mysql_query( "select * from  `forum_subfor` where id='$sf';" );
$dtm = @mysql_fetch_array( @$que );
$s_name = $dtm['name'];

$que = @mysql_query( "select * from  `forum_sections` where id='$f';" );
$dtm = @mysql_fetch_array( @$que );
$f_name = $dtm['name'];
if(!empty($err)) echo "<font color=\"red\"><b>$err</b></font>";
echo " <dl><dt></dt></dl><a href=\"".F."\">Форумы</a>|<a href=\"".F."subfs/$f\">$f_name</a>";
echo "|<a href=\"".F."temes/$sf\">$s_name</a>|<b>$t_name</b><br />";
 echo "<dl><dt></dt></dl>";
if ($page<0){echo"Страници не существует</br>";
} else {
$q = @mysql_query( @"select * from  `forum_sections` WHERE id = '$f' ;" );
$sect = @mysql_fetch_array( @$q );




$que = @mysql_query( "select * from  `forum_sections` WHERE id = '$f';" );
$dtm = @mysql_fetch_array( @$que );
$f_name = $dtm['name'];
$t_name = $topic['name'];


$que = @mysql_query( "select * from  `forum_subfor` where id='$sf';" );
$dtm = @mysql_fetch_array( @$que );
$s_name = $dtm['name'];


if (empty($row['max'])) $row['max']=10;
$max = $row['max'];

$k_post=mysql_result(mysql_query("select COUNT(*) from forum_message WHERE `section` = '".$f."' and `topic` = '".$id."' and subfor = '".$sf."' and fale != '';"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$q2 = @mysql_query( @"SELECT * from `forum_message` WHERE `topic` = '".$id."' and fale != '' order by time limit $start, ".$max.";" );
$k = mysql_num_rows( $q2 );
if ( $k == 0 )
{
echo "<br /><b>Здесь сообщений пока нет :)</b><br />";
}
//$k_page2 = $k_post-$start;
$post_k=$start+1;
while($mess = @mysql_fetch_array(@$q2)){
$user = $mess['login'];
$q3 = @mysql_query( @"select * from  `users` WHERE id = '".$mess['login']."' ;" );
$sect3 = @mysql_fetch_array( @$q3 );
$login = $sect3['user'];
$time = $mess['time'];
$m = $mess['id'];



if (empty($mess['privat'])){  // если написали не в Приват
echo "<br />";
echo $div2;
//echo "".$k_page2--.". ";
echo ($post_k++);
if($autorize) {
echo ". <a href=\"".H2.$sect3['id']."\">".nik($login)."</a> ";

}else{
echo ". <b>".nik($login)." </b>";
}

echo date("[d.m в H:i", $time)."]";
include'rat.php';
echo $div9;
if ($mess['cit']) echo "<i>".output_text($mess['cit'])."</i><br />";// Сцитата
if($row['sizep']==0)echo output_text($mess['msg']);
else{$msg=substr($mess['msg'], 0, $row['sizep']);
$kol=strlen($msg);
$msg=preg_replace('#^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,0}'.'((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,500}).*#s','$1',$msg);
echo output_text($msg);
if (strlen($mess['msg'])>$row['sizep'])echo "<br /><a href=\"".F."read/$m/$page\">Читать все &gt;&gt;</a>\n";
}
if($autorize){
if ($mess['fale']!=0){
echo "<br/>";
echo "Файл: <a href=\"".F."down/".$mess['id']."\" title=\"Скачать файл ".$mess['fname']."\">".$mess['fname']."</a> [".$mess['sfale']."|".round($mess['size']/1024,1)." кб.]";
}if($row['redp']==1) echo $mess['izm'];// Сообщенио о редактировании поста
}
echo "<br/>";


}else if($mess['privat']==$row['id']||$mess['login']==$row['id']||$row['id']==10||$row['id']==11){ // Если приват = челу
echo "<br />";
echo $div2;
//echo "".$k_page2--.". ";
echo ($post_k++);
if($autorize) {
echo ". <a href=\"".H2.$sect3['id']."\">".nik($login)."</a> ";
if ($topic['close']!=1){
if ($row['id']!=$mess['login'])
{echo "<a href=\"".F."addpost/$id/$user/$page\" title=\"Ответить\">[Отв]</a>|<a href=\"".F."cit/$m/$page\" title=\"Цитировать\">[Цит]</a>|";}
if($row['level']>3)
{
echo '<a href="'.F.'delpost/'.$m.'/'.$page.'" title="Удалить">[удал]</a>|';}
if(($row['level'] > 3 )&&($sect3['level']<=$row['level'])||($row['id']==$mess['login']))
{
echo '<a href="'.F.'editp/'.$m.'/'.$page.'" title="Изменить">[Изм]</a>';
}
}
}else{
echo ". <b>".nik($login)." </b>";
}

echo date("[d.m в H:i", $time)."]<font color=\"red\">Приватное!</font>";
include'rat.php';
echo $div9;
if ($mess['cit']) echo "<i>".output_text($mess['cit'])."</i><br />";// Сцитата
if($row['sizep']==0)echo output_text($mess['msg']);
else{
$msg=substr($mess['msg'], 0, $row['sizep']);
$kol=strlen($msg);
$msg=preg_replace('#^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,0}'.'((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,500}).*#s','$1',$msg);
echo output_text($msg);
if (strlen($mess['msg'])>$row['sizep'])echo "<br /><a href=\"".F."read/$m/$page\">Читать все &gt;&gt;</a>\n";
}
if($autorize){
if ($mess['fale']!=0){
echo "<br/>";
echo "Файл: <a href=\"".F."fail/".$mess['fale']."\" title=\"Скачать файл ".$mess['fname']."\">".$mess['fname']."</a> [".round($mess['size']/1024,1)." кб.]";
}
if($row['redp']==1) echo $mess['izm'];// Сообщенио о редактировании поста
}
echo "<br/>";
}else{ // если чел левыйecho "<br />";
echo $div2;
//echo "".$k_page2--.". ";
echo ($post_k++);
if($autorize) {
echo ". <a href=\"".H2.$sect3['id']."\">".nik($login)."</a> ";
if ($topic['close']!=1){

}
}else{
echo ". <b>".nik($login)." </b>";
}

echo date("[d.m в H:i", $time)."]";
include'rat.php';
echo $div9;
echo "Приватное сообщение, видит только адресат...\n";
echo "<br/>";
}


}
echo "<br /><dl><dt></dt></dl>";
if ($k_page>1)str2("".F."tema/$id",$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl>";
if ( $topic['close'] == 1 )
{
echo "<br /><b>Тема закрыта</b><br/>";
}
else
{if($row['forma']==0&&$autorize)echo "<img src=\"".H2."img/add.png\" alt=\"[ADD]\"/> <a href=\"".F."addpost/$id/$page\"><b>Ответить</b></a><dl><dt></dt></dl>";
if($row['forma']==1&&$autorize) {if ($wap==2||$wap==3) echo "<form action=\"\" method=\"post\">";
echo "Сообщение:<br/>";
echo'<textarea cols="'.$row['pole2'].'" rows="'.$row['pole1'].'" name="msg" ></textarea><br />';
echo "<input type=\"hidden\" name=\"f\" value=\"".$f."\"/>";
echo "<input type=\"hidden\" name=\"sf\" value=\"".$sf."\"/>";
echo "<input type=\"hidden\" name=\"t\" value=\"".$id."\"/>";
echo "<input type=\"hidden\" name=\"nk\" value=\"".$nk."\"/>";
echo "<input type=\"hidden\" name=\"mod\" value=\"addpost\"/>";
echo "<input type=\"hidden\" name=\"act\" value=\"act\"/>";
if ($wap=="1"){
echo $fs1;
echo "<anchor title=\"go\">Добавить<go href=\"?act=act\" method=\"post\">";
echo "<postfield name=\"msg\" value=\"$(msg)\"/>";
echo "<postfield name=\"f\" value=\"$f\"/>";
echo "<postfield name=\"sf\" value=\"$sf\"/>";
echo "<postfield name=\"t\" value=\"$id\"/>";
echo "<postfield name=\"mod\" value=\"addpost\"/>";
echo "<postfield name=\"act\" value=\"act\"/>";
echo "</go></anchor>";
echo $fs2;
echo "<br/>";
}else{
echo "<input type=\"submit\" class=\"ibutton\" value=\"Добавить\" class=\"cp\"><br />";
}}
 }

echo $fs2;
}
?>